#!/usr/bin/ruby
# -*- coding: utf-8 -*-

require "prawn/core"
require "prawn/layout"
require "prawn/measurement_extensions.rb"

PAPER            =  {
  :page_size     => "A4",
  :top_margin    => 9.2.cm,
  :left_margin   => 2.5.cm,
  :bottom_margin => 3.5.cm,
  :right_margin  => 2.5.cm,
}
pdf = Prawn::Document.new PAPER

1.upto(20) do
  table_spec = {
    :position      => 0,
    :align         => { 0 => :left,  1 => :left                     },
    :column_widths => { 0 => 2.5.cm, 1 => pdf.bounds.width - 2.5.cm },
    :font_size     => 7,
  }

  data = [
    [ "Funktionsblock:", "muh123456"              ],
    [ "Beschreibung:",   "as9udf8 y983957g87e295th2 ijbgiz dbgouawe8btwn v0jawer9gn9dfhvhweg98sh v8wdf 8g28tgbsu hbd vljbhldgb4i 2lh 6ib pw9ihb vwh 9d-v8hy2-9h46t 2b vsbhdvsbd8vh 0yt h294bn wvb wub t20ht 09jb 24ynnb e"            ],
    [ "Abhängigkeiten:", "---" ]
  ]

  pdf.table data, table_spec
end

pdf.render_file "bug-table-position.pdf"
